Bug 89602 - [All] igt/gem_ctx_bad_destroy/invalid-pad fails
Summary: [All] igt/gem_ctx_bad_destroy/invalid-pad fails
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-17 06:35 UTC by lu hua
Modified: 2017-07-24 22:48 UTC (History)
2 users (show)

See Also:
i915 platform: BDW, BSW/CHT, BXT, BYT, HSW, IVB, SKL, SNB
i915 features: GEM/Other


Attachments
dmesg (119.41 KB, text/plain)
2015-03-17 06:35 UTC, lu hua
no flags Details
dmesg log file for BXT (226.11 KB, text/plain)
2015-11-06 16:50 UTC, Olivier Berthier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2015-03-17 06:35:42 UTC
Created attachment 114371 [details]
dmesg

==System Environment==
--------------------------
Regression:  not sure, always fails on SKL

no-working platforms: SKL

==kernel==
--------------------------
drm-intel-nightly/4f7ab66fd78ed940a5fcfcaad7e9f1bf8b1abe76
commit 4f7ab66fd78ed940a5fcfcaad7e9f1bf8b1abe76
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Mar 16 18:51:08 2015 +0100

    drm-intel-nightly: 2015y-03m-16d-17h-50m-27s UTC integration manifest


==Bug detailed description==
-----------------------------
It always fails on SKL with drm-intel-nightly kernel.
gem_ctx_create/invalid-pad also fails.

output:
IGT-Version: 1.10-g505645c (x86_64) (Linux: 4.0.0-rc4_drm-intel-nightly_4f7ab6_20150317+ x86_64)
Test assertion failure function __real_main44, file gem_ctx_bad_destroy.c:77:
Failed assertion: drmIoctl(fd, DRM_IOCTL_I915_GEM_CONTEXT_DESTROY, &destroy) < 0 && errno == EINVAL
Subtest invalid-pad failed.
**** DEBUG ****
Test requirement passed: ret == 0 || (errno != ENODEV && errno != EINVAL)
Test assertion failure function __real_main44, file gem_ctx_bad_destroy.c:77:
Failed assertion: drmIoctl(fd, DRM_IOCTL_I915_GEM_CONTEXT_DESTROY, &destroy) < 0 && errno == EINVAL
****  END  ****
Subtest invalid-pad: FAIL (0.003s)

==Reproduce steps==
---------------------------- 
1. ./gem_ctx_bad_destroy --run-subtest invalid-pad
Comment 1 lu hua 2015-03-18 05:34:04 UTC
It impacts SNB+ platforms, It's new case in recently.
Comment 2 ye.tian 2015-03-27 06:25:17 UTC
Tested on the latest kernel(Nightly and fixes) on SNB, it still fail.

output:
------------------
./gem_ctx_bad_destroy --run-subtest invalid-pad
IGT-Version: 1.10-gea4aa70 (x86_64) (Linux: 4.0.0-rc5_drm-intel-fixes_771246_20150326+ x86_64)
Test assertion failure function __real_main44, file gem_ctx_bad_destroy.c:77:
Failed assertion: drmIoctl(fd, DRM_IOCTL_I915_GEM_CONTEXT_DESTROY, &destroy) < 0 && errno == EINVAL
Subtest invalid-pad failed.
**** DEBUG ****
Test requirement passed: ret == 0 || (errno != ENODEV && errno != EINVAL)
Test assertion failure function __real_main44, file gem_ctx_bad_destroy.c:77:
Failed assertion: drmIoctl(fd, DRM_IOCTL_I915_GEM_CONTEXT_DESTROY, &destroy) < 0 && errno == EINVAL
****  END  ****
Subtest invalid-pad: FAIL (0.000s)

IGT-Version: 1.10-g1cfcca6 (x86_64) (Linux: 4.0.0-rc5_drm-intel-nightly_60c5b7_20150327+ x86_64)
Comment 3 ye.tian 2015-05-11 07:16:22 UTC
Tested it on the latest nightly kernel and latest igt, it still exists.

output:
-------------------
root@x-hnr9:/GFX/Test/Intel_gpu_tools/intel-gpu-tools/tests# ./gem_ctx_bad_destroy --run-subtest invalid-pad
IGT-Version: 1.10-g9b0a32d (x86_64) (Linux: 4.1.0-rc2_drm-intel-nightly_a1e469_20150509+ x86_64)
Test assertion failure function __real_main44, file gem_ctx_bad_destroy.c:77:
Failed assertion: drmIoctl(fd, DRM_IOCTL_I915_GEM_CONTEXT_DESTROY, &destroy) < 0 && errno == EINVAL
Stack trace:
  #0 [__igt_fail_assert+0xf1]
  #1 [__real_main44+0x20b]
  #2 [main+0x21]
  #3 [__libc_start_main+0xf5]
  #4 [_start+0x29]
  #5 [<unknown>+0x29]
Subtest invalid-pad failed.
**** DEBUG ****
Test requirement passed: ret == 0 || (errno != ENODEV && errno != EINVAL)
Test assertion failure function __real_main44, file gem_ctx_bad_destroy.c:77:
Failed assertion: drmIoctl(fd, DRM_IOCTL_I915_GEM_CONTEXT_DESTROY, &destroy) < 0 && errno == EINVAL
****  END  ****
Subtest invalid-pad: FAIL (0.031s)
Comment 4 cprigent 2015-08-14 15:31:23 UTC
Reproduced on SKL-Y/

./gem_ctx_bad_destroy --run-subtest invalid-pad
IGT-Version: 1.11-g5c07135 (x86_64) (Linux: 4.2.0-rc5-drm-intel-nightly-ww33+ x86_64)
Test assertion failure function __real_main44, file gem_ctx_bad_destroy.c:77:
Failed assertion: drmIoctl(fd, DRM_IOCTL_I915_GEM_CONTEXT_DESTROY, &destroy) < 0 && errno == EINVAL
Subtest invalid-pad failed.
**** DEBUG ****
Test requirement passed: ret == 0 || (errno != ENODEV && errno != EINVAL)
Test assertion failure function __real_main44, file gem_ctx_bad_destroy.c:77:
Failed assertion: drmIoctl(fd, DRM_IOCTL_I915_GEM_CONTEXT_DESTROY, &destroy) < 0 && errno == EINVAL
****  END  ****
Stack trace:
  #0 [__igt_fail_assert+0xf1]
  #1 [__real_main44+0x20b]
  #2 [main+0x29]
  #3 [__libc_start_main+0xf5]
  #4 [_start+0x29]
  #5 [<unknown>+0x29]
Subtest invalid-pad: FAIL (0.168s)

dmesg:
[17202.055314] gem_ctx_bad_destroy: starting subtest invalid-pad
[17202.055405] [drm:i915_gem_context_create_ioctl] HW context 1 created
[17202.055449] [drm:i915_gem_context_destroy_ioctl] HW context 1 destroyed
[17202.223916] gem_ctx_bad_destroy: exiting, ret=99

Platform: SKY LAKE Y A0
CPU : Intel(R) Core(TM) m3-6Y30 CPU @ 0.8GHz 4MB (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D1  2+2
QDF : QVY3 
CPU : SKL D1
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories + FBS02 & FBS03, O-06
Software
BIOS : SKLSE2R1.R00.X093.B02.1507222151
ME FW : 11.0.0.1157
Ksc (EC FW): 1.15
Linux distribution: Ubuntu 14.04 LTS 64 bits
Kernel : drm-intel-nightly 308b72e08b237aa7cde758fc44f88851710e417d 4.2.0-rc5 from git://anongit.freedesktop.org/drm-intel 
Mesa: mesa-10.6.3 ddc976368fef367e464472ebcc2ac4fd89eb9fd8 from http://cgit.freedesktop.org/mesa/mesa/
Xf86_video_intel: 2.99.917 baec802b21387d04aebb10ac29e719a1800c5aa0 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm: libdrm-2.4.62 ba4b5ac010ab85406ec52e3906e13d58cd9aa782 from http://cgit.freedesktop.org/mesa/drm/
Cairo: 1.14.2 from 93422b3cb5e0ef8104b8194c8873124ce2f5ea2d http://cgit.freedesktop.org/cairo
libva: libva-1.6.0 a8008998bc0d4a76ae6927607c048e52ba50fd0e from http://cgit.freedesktop.org/libva/
intel-driver: 1.6.0 32268c46d538667d437dc9266aa4c183e51c1286 from http://cgit.freedesktop.org/vaapi/intel-driver
Xserver: xorg-server-1.17.2 2123f7682d522619f101b05fb75efa75dabbe371 from http://cgit.freedesktop.org/xorg/xserver

IGT: 1.11-g5c07135 from http://cgit.freedesktop.org/xorg/app/intel-gpu-tools/ 

Kernel commit log:
commit 308b72e08b237aa7cde758fc44f88851710e417d
Author: Daniel Vetter
Date: Fri Aug 7 19:09:47 2015 +0200
drm-intel-nightly: 2015y-08m-07d-17h-08m-56s UTC integration manifest
Comment 5 Humberto Israel Perez Rodriguez 2015-09-23 18:29:48 UTC
still happen on SKL-Y with the latest kernel :

IGT: 1.12 from http://cgit.freedesktop.org/xorg/app/intel-gpu-tools/ 

Kernel commit log:
commit b4c4542ba1abfb0d3d6913504502573bf2c62b12
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Aug 28 15:51:30 2015 +0200
drm-intel-nightly: 2015y-08m-28d-13h-50m-34s UTC integration manifest
Comment 6 Elio 2015-10-01 14:58:25 UTC
This issue is reproducible on BDW-U with the following configuration

Kernel 4.3.0-rc8-drm-intel-testing-2015-08-28
Mesa: mesa-10.6.7 from http://cgit.freedesktop.org/mesa/mesa/
Xf86_video_intel: 2.99.917 from
http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm: libdrm-2.4.64 from http://cgit.freedesktop.org/mesa/drm/
Cairo: 1.14.2 from http://cgit.freedesktop.org/cairo
libva: libva-1.6.0 from http://cgit.freedesktop.org/libva/
intel-driver: 1.6.1. from http://cgit.freedesktop.org/vaapi/intel-driver
xorg: 1.17.99 installed with script git_xorg.sh
Xserver: xorg-server-1.17.2 from http://cgit.freedesktop.org/xorg/xserver
Intel-gpu-tools: 1.12 from http://cgit.freedesktop.org/xorg/app/intel-gpu
Comment 7 Elio 2015-10-15 22:17:20 UTC
Issue is present with following configuration
Kernel: http://vanaheimr.fr.intel.com/shared/out/kernels/drm-intel/WW42.1_4.3.0-rc4_c38f2c2/
 xorg-server-1.17.2
libdrm-2.4.65
xf86-video-intel2.99.917
mesa-11.0.2
libva-1.6.1
intel-driver 1.6.1
cairo 1.14.2
intel-gpu-tools-1.12
Comment 8 cprigent 2015-10-20 09:45:41 UTC
Reproduced on SKL-Y:

Platform: SKY LAKE Y A0 
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D1 2+2 (ou ULX-D1)
QDF : QJK9 
CPU : SKL D0
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories + FBS02,FBS03, F23, O-02 & O-06
BIOS : SKLSE2R1.R00.X097.B02.1509020030
ME FW : 11.0.0.1173
Ksc (EC FW): 1.19

Linux distribution: Ubuntu 14.04 LTS 64 bits
kernel 4.3.0-rc5-drm-intel-nightly+ 819f710081d7ea116b9b44a9264061d2c030f009 from git://anongit.freedesktop.org/drm-intel
Mesa - 11.0.3 from http://cgit.freedesktop.org/mesa/mesa/
xf86-video-intel - 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm - 2.4.65 from http://cgit.freedesktop.org/mesa/drm/
Libva - 1.6.1 from http://cgit.freedesktop.org/libva/
vaapi intel-driver - 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Cairo - 1.14.2 from http://cgit.freedesktop.org/cairo
Xorg Xserver - 1.17.2 from http://cgit.freedesktop.org/xorg/xserver

Kernel commit 819f710081d7ea116b9b44a9264061d2c030f009
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Oct 14 19:05:17 2015 +0200
drm-intel-nightly: 2015y-10m-14d-17h-04m-36s UTC integration manifest
Comment 9 cprigent 2015-10-30 16:45:37 UTC
Reproduced on SKL-Y:

Platform: SKY LAKE Y A0 
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D1 2+2 (ou ULX-D1)
QDF : QJK9 
CPU : SKL D0
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories + FBS02,FBS03, F23, O-02 & O-06
BIOS : SKLSE2R1.R00.X097.B02.1509020030
ME FW : 11.0.0.1173
Ksc (EC FW): 1.19
Linux distribution: Ubuntu 14.04 LTS 64 bits
kernel 4.3.0-rc6-drm-intel-nightly+ (ab48d30) from git://anongit.freedesktop.org/drm-intel
commit ab48d308f2fe5a8ad3d2fd57d313e74995cf1c20 Author: Daniel Vetter <daniel.vetter@ffwll.ch> Date: Fri Oct 23 12:03:04 2015 +0200 drm-intel-nightly: 2015y-10m-23d-10h-02m-25s UTC integration manifest
Mesa 10.0.4 from http://cgit.freedesktop.org/mesa/mesa/
xf86-video-intel - 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm - 2.4.65 from http://cgit.freedesktop.org/mesa/drm/
Libva - 1.6.1 from http://cgit.freedesktop.org/libva/
vaapi intel-driver - 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Cairo - 1.14.2 from http://cgit.freedesktop.org/cairo
Xorg Xserver - 1.17.2 from http://cgit.freedesktop.org/xorg/xserver
Comment 10 Olivier Berthier 2015-11-06 16:50:15 UTC
Created attachment 119448 [details]
dmesg log file for BXT

Reproduced on BXT-P:

Hardware 
Platform: Broxton P A0 Platform 
CPU Name : Intel(R) @ 1.2 GHz (family: 6, model: 92, stepping: 8) – 4 cores
SoC : BROXTON-P A0
CRB : Apollo Lake RVP Fab1
Software 
Linux distribution: Ubuntu 15.04 64 bits 
kernel 4.3.0-rc5 (26f82bd8) from https://github.com/ideak/linux.git BXT branch
commit 26f82bd872901733b739480e8899a92966ae9292
Author: Imre Deak <imre.deak@intel.com>
Date:   Tue Oct 20 16:44:03 2015 +0300
drm/i915/bxt: update bxt_defconfig
Enable Kconfig options needed for UART/eMMC.
Signed-off-by: Imre Deak <imre.deak@intel.com>
BIOS: APLKRVPA.X64.0104.R43.1510080446 
BIOS (IFWI Version): APLK_IFWI_X64_R_2015_41_5_02
CSE : 3.0.0.1044
KSC : 1.02
One HDMI monitor connected: Samsung ls24c65u


Output :
IGT-Version: 1.12-NOT-GIT (x86_64) (Linux: 4.3.0-rc5-intel-bxt+ x86_64)
Test assertion failure function __real_main43, file gem_ctx_bad_destroy.c:76:
Failed assertion: drmIoctl(fd, DRM_IOCTL_I915_GEM_CONTEXT_DESTROY, &destroy) < 0 && errno == EINVAL
Stack trace:
  #0 [__igt_fail_assert+0x11d]
  #1 [__real_main43+0x234]
  #2 [main+0x35]
  #3 [__libc_start_main+0xf0]
  #4 [_start+0x29]
  #5 [<unknown>+0x29]
Subtest invalid-pad failed.
**** DEBUG ****
Test requirement passed: ret == 0 || (errno != ENODEV && errno != EINVAL)
Test assertion failure function __real_main43, file gem_ctx_bad_destroy.c:76:
Failed assertion: drmIoctl(fd, DRM_IOCTL_I915_GEM_CONTEXT_DESTROY, &destroy) < 0 && errno == EINVAL
****  END  ****
Subtest invalid-pad: FAIL (0.004s)
Comment 11 cprigent 2015-11-07 11:19:29 UTC
Reproduced on SKL-Y with last setup:

Platform: SKY LAKE Y A0 
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D1 2+2 (ou ULX-D1)
QDF : QJK9 
CPU : SKL D0
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories + FBS02,FBS03, F23, O-02 & O-06
Software
BIOS : SKLSE2R1.R00.X097.B02.1509020030
ME FW : 11.0.0.1173
Ksc (EC FW): 1.19
Linux distribution: Ubuntu 14.04 LTS 64 bits
kernel 4.3.0-rc7-drm-intel-nightly (86ba603) from git://anongit.freedesktop.org/drm-intel
  commit 86ba603f327626055fe1436112b3786eaaaf7fb1
  Author: Daniel Vetter <daniel.vetter@ffwll.ch>
  Date:   Sat Oct 31 09:27:21 2015 +0100
  drm-intel-nightly: 2015y-10m-31d-08h-26m-39s UTC integration manifest
Mesa 11.0.4 from http://cgit.freedesktop.org/mesa/mesa/
xf86-video-intel - 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm - 2.4.65 from http://cgit.freedesktop.org/mesa/drm/
Libva - 1.6.1 from http://cgit.freedesktop.org/libva/
vaapi intel-driver - 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Cairo - 1.14.2 from http://cgit.freedesktop.org/cairo
Xorg Xserver - 1.17.2 from http://cgit.freedesktop.org/xorg/xserver
Comment 12 cprigent 2015-11-08 12:31:41 UTC
Reproduced on BSW with last setup:

Platform: Braswell M
CPU : Intel(R) Celeron N3060 1.60GHz @ 1.6 GHz (family: 6, model: 76 stepping: 4)
SoC : BSW D0
QDF : K6XC
CRB : BRASWELL RVP Fab2
Mandatory Reworks : All 
Feature Reworks: F28, F32, F33, F35, F37
Optional reworks : O-01a; O-02, O-03
Software
BIOS : SKLSE2R1.R00.X097.B02.1509020030
ME FW : 11.0.0.1173
Ksc (EC FW): 1.19
Linux distribution: Ubuntu 14.04 LTS 64 bits
kernel 4.3.0-rc7-drm-intel-nightly (86ba603) from git://anongit.freedesktop.org/drm-intel
  commit 86ba603f327626055fe1436112b3786eaaaf7fb1
  Author: Daniel Vetter <daniel.vetter@ffwll.ch>
  Date:   Sat Oct 31 09:27:21 2015 +0100
  drm-intel-nightly: 2015y-10m-31d-08h-26m-39s UTC integration manifest
Mesa 11.0.4 from http://cgit.freedesktop.org/mesa/mesa/
xf86-video-intel - 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm - 2.4.65 from http://cgit.freedesktop.org/mesa/drm/
Libva - 1.6.1 from http://cgit.freedesktop.org/libva/
vaapi intel-driver - 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Cairo - 1.14.2 from http://cgit.freedesktop.org/cairo
Xorg Xserver - 1.17.2 from http://cgit.freedesktop.org/xorg/xserver
Comment 13 cprigent 2015-11-15 15:10:10 UTC
Reproduced on SKL-Y with last setup:

Platform: SKY LAKE Y A0 
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D1 2+2
QDF : QJK9 
CPU : SKL D0
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories + FBS02,FBS03, F23, O-02 & O-06
BIOS : SKLSE2R1.R00.X097.B02.1509020030
ME FW : 11.0.0.1173
Ksc (EC FW): 1.19
Linux distribution: Ubuntu 15.04 LTS 64 bits
kernel 4.3.0-drm-intel-nightly (a3b0dec) from git://anongit.freedesktop.org/drm-intel
  commit a3b0dec82fdb59c629c4fb9847245b80b0cf69dd
  Author: Jani Nikula jani.nikula@intel.com
  Date: Fri Nov 6 14:48:23 2015 +0200
  drm-intel-nightly: 2015y-11m-06d-12h-48m-02s UTC integration manifest
Mesa 11.0.4 from http://cgit.freedesktop.org/mesa/mesa/
xf86-video-intel - 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm - 2.4.65 from http://cgit.freedesktop.org/mesa/drm/
Libva - 1.6.1 from http://cgit.freedesktop.org/libva/
vaapi intel-driver - 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Cairo - 1.14.2 from http://cgit.freedesktop.org/cairo
Xorg Xserver - 1.17.2 from http://cgit.freedesktop.org/xorg/xserver
Comment 14 Olivier Berthier 2015-11-19 14:35:01 UTC
Reproduced on Sky Lake Y with the kernel 4.3.0-rc5 drm-intel-next-fixes-2015-11-06.

Setup:
------

Hardware
Platform: SKY LAKE Y A0 
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D0 2+2 (ou ULX-D1)
QDF : QJA4 
CPU : SKL D0
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories

Software
BIOS : SKLSE2R1.R00.B104.B01.1511110114
ME FW : 11.0.0.1179
Ksc (EC FW): 1.19
Linux : Ubuntu 15.04 64 bits
Kernel : 4.3.0-rc5 drm-intel-next-fixes-2015-11-06
commit 816d2206f0f9953ca854e4ff1a2749a5cbd62715
Merge: d0baf92 1b0e3a0
Author: Dave Airlie <airlied@gmail.com>
Date:   Sat Nov 7 17:16:59 2015 +1000

    Merge tag 'drm-intel-next-fixes-2015-11-06' of git://anongit.freedesktop.org/drm-in
 

cairo: 1.14.2
drm: 2.4.65
vaapi/intel-driver: 1.6.1
vaapi/libva: 1.6.1
mesa: mesa-11.0.5
xf86-video-intel: 2.99.917
xserver:  xorg-server-1.17.2

Intel GPU Tools: master bfea74a9f64a900bcb90f946b38746781017449f
Comment 15 Elio 2015-11-26 18:48:57 UTC
The problem is present on BYT as well:
Kernel: 4.4.0-rc1-nightly+


Output:

IGT-Version: 1.12-gb68a642 (x86_64) (Linux: 4.4.0-rc1-nightly+ x86_64)
Test assertion failure function __real_main43, file gem_ctx_bad_destroy.c:76:
Failed assertion: drmIoctl(fd, DRM_IOCTL_I915_GEM_CONTEXT_DESTROY, &destroy) < 0 && errno == EINVAL
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [__real_main43+0x234]
  #2 [main+0x23]
  #3 [__libc_start_main+0xf0]
  #4 [_start+0x29]
  #5 [<unknown>+0x29]
Subtest invalid-pad failed.
**** DEBUG ****
Test requirement passed: ret == 0 || (errno != ENODEV && errno != EINVAL)
Test assertion failure function __real_main43, file gem_ctx_bad_destroy.c:76:
Failed assertion: drmIoctl(fd, DRM_IOCTL_I915_GEM_CONTEXT_DESTROY, &destroy) < 0 && errno == EINVAL
****  END  ****
Subtest invalid-pad: FAIL (0.008s)
Comment 16 cprigent 2015-11-27 17:06:09 UTC
Test is fail on SKL-Y with kernel tag drm-intel-testing-2015-11-20 

Motherboard: Skylake Y
cpu model name	: Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz
cpu model : 78
cpu family : 6
Graphic card: Device 191e (rev 07) 
Software:
Kernel: tag drm-intel-testing-2015-11-20 5074e51ef3a2b0ad4c2354e95aec5380a93966b3 (4.4-rc1) from git://anongit.freedesktop.org/drm-intel
Ubuntu 14.04.2 LTS
Bios: SKLSE2R1.R00.B104.B01.1511110114
Libdrm: 2.4.65 from http://cgit.freedesktop.org/mesa/drm
Comment 17 cprigent 2015-11-29 10:01:06 UTC
Test is fail on HSW-ULT with kernel testing tag 2015-11-20

Hardware:
Motherboard: SawTooth Peak
cpu model name : Intel(R) Core(TM) i7-4550U CPU @ 1.50GHz
cpu model : 69
cpu family : 6
Graphic card: Haswell-ULT Integrated Graphics Controller (rev 09)
Software:
Kernel tag drm-intel-testing-2015-11-20 5074e51ef3a2b0ad4c2354e95aec5380a93966b3 (4.4-rc1) from git://anongit.freedesktop.org/drm-intel 
  commit 5074e51ef3a2b0ad4c2354e95aec5380a93966b3
  Author: Imre Deak <imre.deak@intel.com>
  Date:   Fri Nov 20 11:50:03 2015 +0200
  drm-intel-nightly: 2015y-11m-20d-09h-49m-41s UTC integration manifest
Ubuntu 14.04.1 LTS
Bios: HSWLPTU1.86C.0135.R01.1311020052
Libdrm: 2.4.65
Comment 18 cprigent 2015-11-29 10:44:57 UTC
Test is fail on IVB with kernel testing tag 2015-11-20.

Hardware:
Motherboard: DH77EB
cpu model name : Intel(R) Core(TM) i7-3770K CPU @ 3.50GHz
cpu model : 58
cpu family : 6
Graphic card: Xeon E3-1200 v2/3rd Gen Core processor Graphics
Software:
Kernel tag drm-intel-testing-2015-11-20 5074e51 (4.4-rc1) from git://anongit.freedesktop.org/drm-intel 
  commit 5074e51ef3a2b0ad4c2354e95aec5380a93966b3
  Author: Imre Deak <imre.deak@intel.com>
  Date:   Fri Nov 20 11:50:03 2015 +0200
  drm-intel-nightly: 2015y-11m-20d-09h-49m-41s UTC integration manifest
Ubuntu 14.04.1 LTS
Bios: EBH7710H.86A.0096.2012.1012.1645
Libdrm: 2.4.65
Comment 19 cprigent 2015-11-29 11:11:09 UTC
Fail on SNB with kernel testing tag 2015-11-20.

Hardware:
Motherboard: DQ67SW
cpu model name : Intel(R) Core(TM) i5-2400S CPU @ 2.50GHz
cpu model : 42
cpu family : 6
Graphic card: 2nd Generation Core Processor Family Integrated Graphics
Software:
Kernel tag drm-intel-testing-2015-11-20 5074e51 (4.4-rc1) from git://anongit.freedesktop.org/drm-intel 
  commit 5074e51ef3a2b0ad4c2354e95aec5380a93966b3
  Author: Imre Deak <imre.deak@intel.com>
  Date:   Fri Nov 20 11:50:03 2015 +0200
  drm-intel-nightly: 2015y-11m-20d-09h-49m-41s UTC integration manifest
Ubuntu 14.04.1 LTS
Bios: SWQ6710H.86A.0060.2011.1220.1805
Libdrm: 2.4.65
Comment 20 cprigent 2015-12-11 14:49:13 UTC
Also fail on BXT-P/APL with Q4 stack release:

Platform: Broxton P A0 Platform
CPU Name : Intel(R) @ 1.2 GHz (family: 6, model: 92, stepping: 8) – 4 cores
SoC : BROXTON-P A0
QDF : QYE2
CRB : Apollo Lake RVPC1 Fab1
Mandatory Reworks : R14 
Software
BIOS (IFWI Version): APLK_IFWI_X64_R_2015_44_3_00
Kernel: tag testing 2015-11-20 from http://cgit.freedesktop.org/drm-intel/tag/?h=drm-intel-testing&id=drm-intel-testing-2015-11-20
xorg-server-1.18.0 from http://cgit.freedesktop.org/xorg/xserver
libdrm-2.4.65 from http://cgit.freedesktop.org/mesa/drm/
xf86-video-intel 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
mesa-11.0.4 from http://cgit.freedesktop.org/mesa/mesa/
libva-1.6.1 from http://cgit.freedesktop.org/libva/
vaapi-intel-driver 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
cairo 1.14.4 from http://cgit.freedesktop.org/cairo
DMC 1.06 firmware from https://01.org/linuxgraphics/intel-linux-graphics-firmwares
IGT 1.13 http://cgit.freedesktop.org/xorg/app/intel-gpu-tools/tag/?id=intel-gpu-tools-1.13
Comment 21 Jani Nikula 2015-12-16 07:45:58 UTC
Can anyone reproduce this on non-A0 stepping hardware? Particularly on any production SKL?
Comment 22 cprigent 2016-01-17 16:38:38 UTC
Yes, it is Fail on a production SKL.

Dell Inspiron 15 7000 2-1
Intel Core (TM) i7 CPU @ 6500 2.5
Intel HD Graphics
Linux distribution: Ubuntu 15.10 64 bits
Kernel: drm-intel-nightly 4.4.0-rc8 8834392 from http://cgit.freedesktop.org/drm-intel/
libdrm-2.4.66 from http://cgit.freedesktop.org/mesa/drm/
xf86-video-intel 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
mesa-11.0.8 from http://cgit.freedesktop.org/mesa/mesa/
libva-1.6.2 from http://cgit.freedesktop.org/libva/
intel-driver 1.6.2 from http://cgit.freedesktop.org/vaapi/intel-driver
cairo 1.15.2 from http://cgit.freedesktop.org/cairo
DMC and GUC firmware from https://01.org/linuxgraphics/intel-linux-graphics-firmwares
IGT 1.13 cd658a7c6bca74eb897a8ae87751029793f0c4f4 from http://cgit.freedesktop.org/xorg/app/intel-gpu-tools/
Comment 23 Rami 2016-02-03 13:20:49 UTC
Reproduced on BXT with last setup:
Setup:
======
Platform: Broxton P A0 Platform
CPU Name : Intel(R) @ 1.2 GHz (family: 6, model: 92, stepping: 8) – 4 cores
SoC : BROXTON-P A0
CRB : Apollo Lake LPDDR3 RVP2B
Reworks : R17, R18, PNP3

Software:
=========
BIOS (IFWI Version): APLK_IFWI_X64_R_2015_44_3_00
KSC : 1.05
Linux distribution: Ubuntu 15.10 64 bits
Kernel: drm-intel-nightly 4.5 rc1 6b1049b
http://cgit.freedesktop.org/drm-intel/
drm: tag libdrm-2.4.66 e342c0f from http://cgit.freedesktop.org/mesa/drm/
mesa: tag mesa-11.0.9  from http://cgit.freedesktop.org/mesa/mesa/
cairo: tag 1.15.2 db8a7f1 from http://cgit.freedesktop.org/cairo
waffle: master bb29b2a from https://github.com/waffle-gl/waffle
xorg-server-macros: master d7acec2 from git://git.freedesktop.org/git/xorg/util/macros
libva: tag libva-1.6.1 cb418f6 from http://cgit.freedesktop.org/libva/
vaapi-intel-driver: tag 1.6.1 2110b3a from http://cgit.freedesktop.org/vaapi/intel-driver
Tools:
======
intel-gpu-tool: (HEAD, origin/master, origin/HEAD) d63e72f0ad281f295b058a572741b995a5a0f64a from git://git.freedesktop.org/git/xorg/app/intel-gpu-tools
Comment 24 Olivier Berthier 2016-02-04 16:53:57 UTC
Reproduced on Kaby Lake U with the kernel 4.5.0-rc1 drm-intel-nightly.

Hardware
Platform: KABY LAKE-U 
CPU : Intel(R) Core(TM) @ 2.60GHz
MCP : KBL-U G0 2+2 (ou ULT-G0)
QDF : QYQ8
Chipset PCH: SPT-LP C1 
CRB : KABY LAKE U DDR3L RVP7 CRB FAB1
Software
BIOS : KBLSE2R1.R00.X015.B01.1511271314
ME FW : 11.5.0.1008
Ksc (EC FW): 1.20
Linux distribution: Ubuntu 15.10 64 bits
Kernel: drm-intel-nightly 4.5.0-rc1 5d3deb0 from http://cgit.freedesktop.org/drm-intel/
commit 5d3deb0902a962218ad9b0e583e4d1bbdec29f9a
Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
Date:   Mon Feb 1 12:05:18 2016 -0800

    drm-intel-nightly: 2016y-02m-01d-20h-05m-03s UTC integration manifest

drm: tag libdrm-2.4.66 e342c0f
intel-gpu-tool: intel-gpu-tools-1.13-179-g3005665
Comment 25 Chris Wilson 2016-02-16 13:19:19 UTC
commit b31e51360e88f8f9831a153cf72d1aced952dffb
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 5 16:45:59 2016 +0000

    drm/i915: Reject invalid-pad for context-destroy and -create ioctls
    
    Unknown parameters, especially structure padding, are expected to invoke
    rejection with -EINVAL.
    
    v2: similar issue exists for context-create
    
    Testcase: igt/gem_ctx_create/invalid-pad
    Testcase: igt/gem_ctx_bad_destroy/invalid-pad
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=89602
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=93999
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Daniel Vetter <daniel.vetter@ffwll.ch>
    Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Link: http://patchwork.freedesktop.org/patch/msgid/1454690759-31201-1-git-send-email-chris@chris-wilson.co.uk


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.